## NMSettingOvsPort NMSettingOvsPort — Describes connection properties for Open vSwitch ports. |

## Functions

NMSetting * | nm_setting_ovs_port_new ()
const char * | nm_setting_ovs_port_get_vlan_mode ()
guint | nm_setting_ovs_port_get_tag ()
const char * | nm_setting_ovs_port_get_lacp ()
const char * | nm_setting_ovs_port_get_bond_mode ()
guint | nm_setting_ovs_port_get_bond_updelay ()
guint | nm_setting_ovs_port_get_bond_downdelay ()

## Types and Values

#define | NM_SETTING_OVS_PORT_SETTING_NAME
#define | NM_SETTING_OVS_PORT_VLAN_MODE
#define | NM_SETTING_OVS_PORT_TAG
#define | NM_SETTING_OVS_PORT_LACP
#define | NM_SETTING_OVS_PORT_BOND_MODE
#define | NM_SETTING_OVS_PORT_BOND_UPDELAY
#define | NM_SETTING_OVS_PORT_BOND_DOWNDELAY

## Description

The NMSettingOvsPort object is a NMSetting subclass that describes properties necessary for Open vSwitch ports.

## Functions

### nm_setting_ovs_port_new ()

    NMSetting *
    nm_setting_ovs_port_new (void);

Creates a new NMSettingOvsPort object with default values.

#### Returns

the new empty NMSettingOvsPort object.

[transfer full]

Since: 1.10

### nm_setting_ovs_port_get_vlan_mode ()

    const char *
    nm_setting_ovs_port_get_vlan_mode (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “vlan-mode” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_tag ()

    guint
    nm_setting_ovs_port_get_tag (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “tag” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_lacp ()

    const char *
    nm_setting_ovs_port_get_lacp (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “lacp” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_bond_mode ()

    const char *
    nm_setting_ovs_port_get_bond_mode (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “bond-mode” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_bond_updelay ()

    guint
    nm_setting_ovs_port_get_bond_updelay (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “bond-updelay” property of the setting

Since: 1.10

### nm_setting_ovs_port_get_bond_downdelay ()

    guint
    nm_setting_ovs_port_get_bond_downdelay
                                   (NMSettingOvsPort *self);

#### Parameters

self | the NMSettingOvsPort |

#### Returns

the “bond-downdelay” property of the setting

Since: 1.10

## Types and Values

### NM_SETTING_OVS_PORT_SETTING_NAME

    #define NM_SETTING_OVS_PORT_SETTING_NAME        "ovs-port"

### NM_SETTING_OVS_PORT_VLAN_MODE

    #define NM_SETTING_OVS_PORT_VLAN_MODE           "vlan-mode"

### NM_SETTING_OVS_PORT_TAG

    #define NM_SETTING_OVS_PORT_TAG                 "tag"

### NM_SETTING_OVS_PORT_LACP

    #define NM_SETTING_OVS_PORT_LACP                "lacp"

### NM_SETTING_OVS_PORT_BOND_MODE

    #define NM_SETTING_OVS_PORT_BOND_MODE           "bond-mode"

### NM_SETTING_OVS_PORT_BOND_UPDELAY

    #define NM_SETTING_OVS_PORT_BOND_UPDELAY        "bond-updelay"

### NM_SETTING_OVS_PORT_BOND_DOWNDELAY

    #define NM_SETTING_OVS_PORT_BOND_DOWNDELAY      "bond-downdelay"